﻿@model IEnumerable<DomainClass.User>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<h4>اطلاعات شخصی</h4>

<table class="table">
    <tr>
        <th>
            شماره ملی
            @*                @Html.DisplayNameFor(model => model.User.UserName)*@
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Lname)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Fname)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.P_Info.FaName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.P_Info.BDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.P_Info.ShSh)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.P_Info.Jensiat)
        </th>
        <th>عملیات</th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.UserName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Lname)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Fname)
            </td>
            <td>
                @{
                    if (item.P_Info != null)
                    {
                        @Html.DisplayFor(modelItem => item.P_Info.FaName)
                    }
                    else
                    {
                        <span class="text-danger">کامل نیست</span>
                    }

                }
            </td>
            <td>
                @{
                    if (item.P_Info != null)
                    {
                        @Html.DisplayFor(modelItem => item.P_Info.BDate)
                    }
                    else
                    {
                        <span class="text-danger">کامل نیست</span>
                    }

                }
            </td>
            <td>
                @{
                    if (item.P_Info != null)
                    {
                        @Html.DisplayFor(modelItem => item.P_Info.ShSh)
                    }
                    else
                    {
                        <span class="text-danger">کامل نیست</span>
                    }

                }
            </td>
            <td>
                @{
                    if (item.P_Info != null)
                    {
                        @Html.EnumDisplay(item.P_Info.Jensiat)}
                    else
                    {
                        <span class="text-danger">کامل نیست</span>
                    }

                }
                @*@Html.DisplayFor(modelItem => item.Jensiat)*@
            </td>
            <td>
                @{
                    if (item.P_Info != null)
                    {
                        @Html.ActionLink("نمایش اطلاعات", MVC.Home.ActionNames.Report, MVC.Home.Name, new { id = item.ID }, new { @class = "btn btn-primary btn-xs" })
                        <span>|</span>
                    }
                    else
                    {
                        <button class="btn btn-primary btn-xs">نمایش اطلاعات</button>
                        <span>|</span>
                    }

                }

                @Html.ActionLink("اطلاعات کاربر", MVC.Home.ActionNames.UserProfile, MVC.Home.Name, new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            </td>
        </tr>
    }

</table>
